display: ":0"
xauthority: "~/.Xauthority"

enabled: true

system: SW-infrastructure
subsystem: ska-tmc-subarraynode
telescope: SKA-mid

legacy_compatibility: true

subarray_count: 1
dishes: ["01","02"]

labels:
  app: ska-tmc-subarraynode

global:
  minikube: true
  tango_host: databaseds-tango-base-test:10000
  retry:
    - "--tries=10"
    - "--sleep=5"
  # subarray_count, this will be expanded (1 to N inclusive) and applied to instances of:
  # cspsubarrayleafnode, sdpsubarrayleafnode, subarraynode and mccssubarrayleafnode
  subarray_devices:
    - "subarraynode"
  subarray_count: 1
  mid:
    domain: "mid-tmc"
  low:
    domain: "low-tmc"

dsconfig:
  configuration_file: data/configuration.json
  timeout: 300s
  image:
    registry: artefact.skao.int
    image: ska-tango-images-tango-dsconfig
    tag: 1.5.5
    pullPolicy: IfNotPresent

itango:
  image:
    registry: artefact.skao.int
    image: ska-tango-images-tango-itango
    tag: 9.3.9
    pullPolicy: IfNotPresent

resources:
  limits:
    cpu: 150
    memory: 300Mi
  requests:
    cpu: 100m
    memory: 100Mi

subarray_node:
  image:
    registry: artefact.skao.int
    image: ska-tmc-subarraynode
    tag: 0.30.1
    pullPolicy: IfNotPresent

deviceServers:
  mocks:
    enabled: false
    component:
      mccs: false
      csp: false
      sdp: false
      dish: false
      sdpqc: false
    mid:
      file: "data/mockdevicesmid.yaml"
    low:
      file: "data/mockdeviceslow.yaml"

  subarraynode:
    enabled: true
    instances: ["01"]
    LivelinessCheckPeriod: 1.0
    EventSubscriptionCheckPeriod: 1.0
    family: "subarray"
    mid:
      file: "data/subarraynode_mid.yaml"
      DishLeafNodePrefix: "mid-tmc/leaf-node-dish/ska"
      CspSubarrayLNFQDN: "mid-tmc/subarray-leaf-node-csp/01"
      SdpSubarrayLNFQDN: "mid-tmc/subarray-leaf-node-sdp/01"
      CspSubarrayFQDN: "mid-csp/subarray/01"
      SdpSubarrayFQDN: "mid-sdp/subarray/01"
      SdpQueueConnectorFQDN: "mid-sdp/queueconnector/01"
      DishIDs: ["SKA001", "SKA002", "MKT001", "SKA036", "SKA063", "SKA100",]
      DishMasterIdentifier: "elt/master"
      AbortCommandTimeOut: 40
      CommandTimeOut: 30
      CspScanInterfaceURL: "https://schema.skao.int/ska-csp-scan/2.0"
      SdpScanInterfaceURL: "https://schema.skao.int/ska-sdp-scan/0.4"
      CspAssignResourcesInterfaceURL: "https://schema.skao.int/ska-csp-assignresources/2.0"

    low:
      file: "data/subarraynode_low.yaml"
      CspSubarrayLNFQDN: "low-tmc/subarray-leaf-node-csp/01"
      SdpSubarrayLNFQDN: "low-tmc/subarray-leaf-node-sdp/01"
      MccsSubarrayLNFQDN: "low-tmc/subarray-leaf-node-mccs/01"
      CspSubarrayFQDN: "low-csp/subarray/01"
      SdpSubarrayFQDN: "low-sdp/subarray/01"
      MccsSubarrayFQDN: "low-mccs/subarray/01"
      MccsConfigureInterfaceURL: "https://schema.skao.int/ska-low-mccs-configure/1.0"
      MccsScanInterfaceURL: "https://schema.skao.int/ska-low-mccs-scan/3.0"
      CspScanInterfaceURL: "https://schema.skao.int/ska-low-csp-scan/0.0"
      SdpScanInterfaceURL: "https://schema.skao.int/ska-sdp-scan/0.4"
      CspAssignResourcesInterfaceURL: "https://schema.skao.int/ska-low-csp-assignresources/3.0"
      AbortCommandTimeOut: 40
      CommandTimeOut: 30
      JonesURI: "tango://jones.skao.int/low/stn-beam/1"

nodeSelector: {}

affinity: {}

tolerations: []
